package com.bonus.hn.bearing.capacity.backstage.project.dao;

import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface LineProjectDao {

    List<LineProjectBean> getProjectTree(LineProjectBean o);

    List<LineProjectBean> getFirmList(LineProjectBean o);

    int addProjectInfo(LineProjectBean bean);

    LineProjectBean getListProject(String id);

    int updateProject(LineProjectBean bean);

    int delProjectById(String id);

    int upCompletedById(String id);

    int getProName(LineProjectBean bean);

    String getIsExistBindRelation(String id);

    String getBindOrNot(String id);

    List<String> getPermissionList(String id);

    List<LineProjectBean> getPermissionLists(String id);

    int upForcedUnbinding(LineProjectBean bean);

    int getIsExistRelationship(LineProjectBean bean);

    void updateStatus(LineProjectBean bean);

    void updateTeamOrGroup(LineProjectBean bean);

    int getIsExistOtherRelation(LineProjectBean bean);

    void updateSubcontractingTeam(LineProjectBean bean);
}

